Flash player not up to date

  • I use both opera dev and opera stable.

    I've just updated my Dev to Opera Dev 27.0.1689.13 and since then when visiting flash enabled websites I'm getting this message in BOTH operas (stable and dev):

    Adobe Flash Player is not up to date.

    I was using Flash Player V12 and now I've updated to Flash 14 and I still get the same message. Why is opera forcing me to Flash 15 Beta when I DO NOT WANT to update to beta versions.

    I hate flash, it's a waste of resources and I'm already annoyed by Opera forcing me to move to Flash 14 which consumes even more resources and not even Flash 14 is not accepted. Really opera? Where's the user power of choice?

    EDIT: here's my flash .dll file: C:\Windows\SysWOW64\Macromed\Flash\NPSWF32-14-0-0-145.dll

    EDIT2: in the file name the "-" is actually an underscore for some reason this forum is not placing the underscores...

  • You can disable opera://flags/#warn-flash-update-needed

    However you should note that as Chromium is dropping support for npapi flash (in fact they are dropping support for all npapi plugins), there is a chance that Opera goes the same way so old flash may start to not work in a future update.

  • You can disable opera://flags/#warn-flash-update-needed
    However you should note that as Chromium is dropping support for npapi flash (in fact they are dropping support for all npapi plugins), there is a chance that Opera goes the same way so old flash may start to not work in a future update.

    I just did that but I still get the very same warning...

    Here's a screenshot of the webpage that does use flash:

    http://i.imgur.com/LVjM638.png

  • Does it happens on all pages or just on specific ones? Some pages may not allow you to use an old version of Flash player.

  • so far it happens on all pages (eg, youtube, dailymotion, and so on...) it is happening on pages where I used flash 12 with no problems at all before updating Opera Dev

  • I had the same problem with the new version of opera 26 and opera turbo!!! Every page I opened would say that adobe flash player was out of date !!! Need to update!!!! Did updates and still gives this message!!!! I uninstalled opera 26 and turbo and when back to a previous version that still works !!!!!!!!!!

    [Mod Edit: Please do not use all caps (which have since been removed), as it gives the appearance of shouting, which can be considered rude. Thanks]

  • how can I downgrade my opera dev version?

  • this is extremely annoying!

    It has been a full day and I can't do sht on the web, most of my daily sites all use flash and I can't do sht because they do not work on the browser because it keeps telling me that flash is not updated.

    this is really pissing me off. Forcing me to copy paste all the time from browser to browser so I can use the sites in a minimal acceptable way.

  • I've just installed opera next and I get the very same problem. It's annoying the nerves out of me.

  • how can I downgrade my opera dev version?

    I think the best option for you is to use a stable version.

    If you really want to use a (old) developer one, just install an previous version and disable autoupdate.Or you can also delete the folder with the current build and fix the folder info in installation_status.xml

  • how can I downgrade my opera dev version?

    I think the best option for you is to use a stable version.
    If you really want to use a (old) developer one, just install an previous version and disable autoupdate.Or you can also delete the folder with the current build and fix the folder info in installation_status.xml

    I'm already using the stable version and I have the same problem (as I stated on my first post). This problem happens on all opera streams. Developer, Next and Stable.

    And apparently I'm not the only one:
    http://blogs.opera.com/desktop/2014/12/update-opera-developer-27-0-1689-13/#comment-1723477791

    And I'm also using windows 7 64bit

  • So the best thing to do is to update flash; latest version for Opera according to Flash download page is 15.0.0.215 Beta.

    Also you should read this and this

  • Or maybe to Adobe Flash 16 Beta (http://labs.adobe.com/downloads/flashplayer.html). It's working fine here. After I was sure that it was working fine I uninstalled the NPAPI-version of Flash.

    Weird about that Flash 15.0.0.215 Beta for Opera is that it's version number is lower than the newest Adobe Flash stable, which is at 15.0.0.239.

  • I would try following the instructions here: http://helpx.adobe.com/flash-player/kb/uninstall-flash-player-windows.html

    I've cleared up flash problems using this in the past. Worth a shot.

  • forgot to mention - then reinstall.

Log in to reply
 

Looks like your connection to Opera forums was lost, please wait while we try to reconnect.